Subject: bug#22757: 25.1.50; `face-at-point` and `faces--attribute-at-point` -- add argument WINDOW-OR-BUFFER

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Feb 2022 21:51:15 +0100

Eli Zaretskii <[email-masked]> writes:

> get-char-property gets you the face, and then face-foreground and
> face-background (both documented in the ELisp manual) can be used to
> get the colors.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think the conclusion here is that Emacs has the building blocks needed
here, and extending `face-at-point' wouldn't really make things that
much easier for people to implement things, so I'm therefore closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no